SignatureIT
1 Nickel

ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

We are doing a ScaleIO 2.0.1 fresh install over OpenSUSE 12.1

All packages and kernel were updated to the latest, the installation claims requires libtinfo.so.5()(64bit) as dependency

We soft linked libncurses.so.5.8 for both /lib64 and lib but we can't past the RPM installation dependency check

uname -a

Linux linux-1nil 3.1.10-1.29-desktop #1 SMP PREEMPT Fri May 31 20:10:04 UTC 2013 (2529847) x86_64 x86_64 x86_64 GNU/Linux

MDM_IP=10.1.1.100 rpm -i EMC-ScaleIO-sdc-2.0-10000.2072.sles12.1.x86_64.rpm

warning: EMC-ScaleIO-sdc-2.0-10000.2072.sles12.1.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 41137b50: NOKEY

error: Failed dependencies:

        libtinfo.so.5()(64bit) is needed by EMC-ScaleIO-sdc-2.0-10000.2072.sle12.1.x86_64

ln -s libncurses.so.5.8 libtinfo.so.5

Please could you help us to troubleshoot the problem?

Thank you!

0 Kudos
RHasleton1
2 Iron

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

I've never tried to install the SDC onto an OpenSUSE box. It's never been tested to my knowledge nor is it officially supported.

That said, you need to link the actual libtinfo.so.5.8 file, not libncurses.so.5.8.

Try this instead:
ln -s /lib64/libtinfo.so.5.8 /lib64/libtinfo.so.5

If you don't have the libtinfo.so.5.8, that is provided in the libncurses5 package.

See if that helps

0 Kudos
SignatureIT
1 Nickel

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

Thank you RickH, technically OpenSUSE and SUSE should be RPM, Kernel and share libraries compatible...in the same fashion as RedHat, CentOS and Oracle Linux.

So if ScaleIO works on Redhat and CentOS and is supported, the same should apply between SUSE and OpenSUSE is just the paid OS subscription / support missing...

I will try this during the weekend and let you know the outcome, thank you!!!

Saul

0 Kudos
SignatureIT
1 Nickel

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

Hello Rick we followed your advice, this is what we found tonight....

zypper install libncurses5

Loading repository data...

Reading installed packages...

'libncurses5' is already installed.

No update candidate for 'libncurses5-5.8-5.1.4.x86_64'. The highest available version is already installed.

Resolving package dependencies...

Nothing to do.

linux-1nil:/ # cd lib64

linux-1nil:/lib64 # ls -la libncurses.so.5

lrwxrwxrwx 1 root root 17 Nov 10 23:02 libncurses.so.5 -> libncurses.so.5.8

linux-1nil:/lib64 # ls -la libtinfo.so.5.8

ls: cannot access libtinfo.so.5.8: No such file or directory

linux-1nil:/lib64 # ls -la libtinfo.so*

ls: cannot access libtinfo.so*: No such file or directory

Something is odd, libncurses5 is certainly installed but not including libtinfo.so.5.8...

Please where this package should come from instead if libncurses5 is installed?

Thank you

0 Kudos
RHasleton1
2 Iron

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

Saul,

A few points to clear up about SLES vs OpenSUSE.  They are not binary compatible like RedHat/CentOS. OpenSUSE 12.1 is not the same as SLES 12.1 other than being supported by SuSE. It is the bleeding edge SuSE distro where kernels and packages are tested and proven before being ported over to the SLES family. OpenSUSE is a hybrid desktop/server, where SLES is strictly for server operations.

OpenSuSE 12.1 release date: Nov 2011

SLES 12.1 release date: Dec 2015

As evidence, your OpenSUSE kernel = 3.1.10-1.29-desktop #1 SMP PREEMPT

The Shipping SLES 12.1 kernel = 3.12.49-11-default

OpenSUSE 12.1 version of libncurses5 = libncurses5-5.8-5.1.4.x86_64 (missing libtinfo.so.5)

SLES 12.1 version of libncurses5 = libncurses5-5.9-40.124.x86_64


Running "rpm -ql libncurses5" shows these 2 files, in addition to others:

/lib64/libtinfo.so.5

/lib64/libtinfo.so.5.9

If the version of libncurses5 you're running doesn't come with libtinfo.so.5, I would suggest getting an updated version that does have it.

There are a few older posts on OpenSUSE forums where linking the libtinfo.so.5 to libncurses.so.5.8 in the /lib64 directory has helped their app:

openSUSE Forums

But I believe you already tried that. You may try to get an updated version here, but as OpenSUSE 12.1 is fairly old, you may have better luck trying an updated version of OpenSUSE at this point.

Good luck!

SignatureIT
1 Nickel

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

Rich, thank you for explaining in detail the differences.


We initially attempted to install SIO SDC on openSUSE Leap 42.1, but we stopped

SIO SDC 2.0.1 packages we have are for SLES 12.1 and OpenSUSE Leap 42.1 seems to be considered version like "version 13", it even comes with new 4.x Linux kernel...not entirely sure SIO will install on top of it...

We will review and apply your suggestions and let you know what is the result.

0 Kudos
SignatureIT
1 Nickel

Re: ScaleIO 2.0.1 SDC installation fails with OpenSUSE 12.1 missing libtinfo.so.5 64bit

Thank you Rich, based on your helpful comments, we decided not to go the OpenSUSE route.

Thank you for your time explaining the differences in detail.

0 Kudos